kr.co.hanwha.hifive.admin.admin

## Class AdminCalendarDialog

- java.lang.Object
- - android.app.Dialog
  - - kr.co.hanwha.hifive.admin.admin.AdminCalendarDialog

All Implemented Interfaces:
  android.content.DialogInterface, android.view.KeyEvent.Callback, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback

    public class AdminCalendarDialog
    extends android.app.Dialog

### Nested Class Summary

Nested Classes
`static interface` `AdminCalendarDialog.OnDialogCallback` Callback

### Nested classes/interfaces inherited from interface android.content.DialogInterface

`android.content.DialogInterface.OnCancelListener, android.content.DialogInterface.OnClickListener, android.content.DialogInterface.OnDismissListener, android.content.DialogInterface.OnKeyListener, android.content.DialogInterface.OnMultiChoiceClickListener, android.content.DialogInterface.OnShowListener`

### Field Summary

Fields
`private CalendarGridAdapter` `mCalendarGridAdapter`
`private AdminCalendarDialog.OnDialogCallback` `mCallback`
`private int` `mCurrentDate`
`private int` `mCurrentMonth`
`private int` `mCurrentYear`
`private android.support.v7.widget.RecyclerView` `mRecyclerView`
`private java.lang.String` `mSelectDate`
`private android.widget.TextView` `mTextViewTitle`
`(package private) CalendarGridAdapter.OnCalendarListener` `onCalendarListener` CalendarGridAdapter.OnCalendarListener
`(package private) android.view.View.OnClickListener` `onClickListener` Callback

### Fields inherited from interface android.content.DialogInterface

`BUTTON_NEGATIVE, BUTTON_NEUTRAL, BUTTON_POSITIVE, BUTTON1, BUTTON2, BUTTON3`

### Constructor Summary

Constructors
Constructor and Description
`AdminCalendarDialog(android.content.Context context)`
`AdminCalendarDialog(android.content.Context context, int themeResId)`
`AdminCalendarDialog(android.content.Context context, java.lang.String selectDate, AdminCalendarDialog.OnDialogCallback callback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`private void` `initData()`
`private void` `nextMonth()`
`protected void` `onCreate(android.os.Bundle savedInstanceState)`
`private void` `previousMonth()`

### Methods inherited from class android.app.Dialog

`addContentView, cancel, closeOptionsMenu, create, dismiss, dispatchGenericMotionEvent, dispatchKeyEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, findViewById, getActionBar, getContext, getCurrentFocus, getLayoutInflater, getOwnerActivity, getSearchEvent, getVolumeControlStream, getWindow, hide, invalidateOptionsMenu, isShowing, onActionModeFinished, onActionModeStarted, onAttachedToWindow, onBackPressed, onContentChanged, onContextItemSelected, onContextMenuClosed, onCreateContextMenu, onCreateOptionsMenu, onCreatePanelMenu, onCreatePanelView, onDetachedFromWindow, onGenericMotionEvent, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onMenuItemSelected, onMenuOpened, onOptionsItemSelected, onOptionsMenuClosed, onPanelClosed, onPrepareOptionsMenu, onPreparePanel, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onStart, onStop, onTouchEvent, onTrackballEvent, onWindowAttributesChanged, onWindowFocusChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, openOptionsMenu, registerForContextMenu, requestWindowFeature, setCancelable, setCanceledOnTouchOutside, setCancelMessage, setContentView, setContentView, setContentView, setDismissMessage, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setOnCancelListener, setOnDismissListener, setOnKeyListener, setOnShowListener, setOwnerActivity, setTitle, setTitle, setVolumeControlStream, show, takeKeyEvents, unregisterForContextMenu`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface android.view.Window.Callback

`onPointerCaptureChanged, onProvideKeyboardShortcuts`

### Field Detail

#### mTextViewTitle

    private android.widget.TextView mTextViewTitle

#### mRecyclerView

    private android.support.v7.widget.RecyclerView mRecyclerView

#### mCalendarGridAdapter

    private CalendarGridAdapter mCalendarGridAdapter

#### mCurrentYear

    private int mCurrentYear

#### mCurrentMonth

    private int mCurrentMonth

#### mCurrentDate

    private int mCurrentDate

#### mSelectDate

    private java.lang.String mSelectDate

#### mCallback

    private AdminCalendarDialog.OnDialogCallback mCallback

#### onClickListener

    android.view.View.OnClickListener onClickListener

Callback

#### onCalendarListener

    CalendarGridAdapter.OnCalendarListener onCalendarListener

CalendarGridAdapter.OnCalendarListener

### Constructor Detail

#### AdminCalendarDialog

    public AdminCalendarDialog(@NonNull
                               android.content.Context context)

#### AdminCalendarDialog

    public AdminCalendarDialog(@NonNull
                               android.content.Context context,
                               @StyleRes
                               int themeResId)

#### AdminCalendarDialog

    public AdminCalendarDialog(@NonNull
                               android.content.Context context,
                               @Nullable
                               java.lang.String selectDate,
                               @Nullable
                               AdminCalendarDialog.OnDialogCallback callback)

### Method Detail

#### onCreate

    protected void onCreate(android.os.Bundle savedInstanceState)

Overrides:
  `onCreate` in class `android.app.Dialog`

#### initData

    private void initData()

#### previousMonth

    private void previousMonth()

#### nextMonth

    private void nextMonth()